.current-weather-widget-weather-icon {
    vertical-align: text-bottom;
    font-size: 40px;
    margin-left: -15px;
}

.current-weather-widget-temperature {
    font-size: 60px;
}

.current-weather-widget-condition {
    font-size: 16px;
    margin-top: 10px;
}

.feels-like-badge {
    margin-top: -4px;
}